package NTLSystem.verblearn;

import java.io.*;
import java.util.*;
import com.sun.java.swing.*;
import java.awt.*;
import java.awt.event.*;
import NTLSystem.support.*;


///////////////////////////////////////////////////////////////////////
// Display current language but don't allow changing it.

class LangLabel extends Label implements Observer {
  
  private static final String prefix = "Current language and # of slots:  ";

  LangLabel() { 
    VerbLearn.context().addObserver(this);
    update(VerbLearn.context(), null);
  }
  
  public void update(Observable o, Object junk) {
    Context c = (Context)o;
    if (c.langslot() != null) setText(prefix + c.langslot());
    else setText(prefix + "None yet");
  }
}
